Re: [FYI] {maint} test runner: work correctly in VPATH setups

2012-07-06 Thread Dave Hart
> # the same log file, leading to all sort of undefined and undesired > # behaviours. > diff --git a/configure.ac b/configure.ac > index 10fa93d..7d30762 100644 > --- a/configure.ac > +++ b/configure.ac > @@ -559,7 +559,6 @@ AC_SUBST([EXEEXT]) > ## -- ## > > AC_CONFIG_FILES([Makefile]) > -AC_CONFIG_FILES([t/ax/test-runner], [chmod +x t/ax/test-runner]) > > AC_CONFIG_LINKS([GNUmakefile:GNUmakefile]) > AC_CONFIG_LINKS([defs:defs]) > -- > 1.7.9.5 > > Cheers, Dave Hart

Re: [PATCH] tests: ignore minor 'recheck' regression for BSD make

2012-07-06 Thread Dave Hart
ath in : false; do >test ! -e a.run >test ! -e b.run >test ! -e c.run > + using_gmake || $sleep # Required by BSD make. >TESTS='a.test b.test' $MAKE -e recheck >stdout \ > || { cat stdout; exit 1; } >cat stdout > @@ -158,6 +162,7 @@ for vpath in : false; do >: c.test contained and hard error the last time, so it should be re-run. >: This time, make it pass ># Use 'echo', not ':'; see comments above for why. > + using_gmake || $sleep # Required by BSD make. >echo dummy > c.ok >env TESTS='c.test a.test' $MAKE -e recheck >stdout \ > || { cat stdout; exit 1; } > @@ -171,6 +176,7 @@ for vpath in : false; do > >: Nothing should be rerun anymore, as all tests have been eventually >: successful. > + using_gmake || $sleep # Required by BSD make. >$MAKE recheck >stdout || { cat stdout; exit 1; } >cat stdout >count_test_results total=0 pass=0 fail=0 xpass=0 xfail=0 skip=0 error=0 > -- > 1.7.9.5 > > Cheers, Dave Hart

Re: [RFC] recursion: support user-defined recursive targets

2012-06-30 Thread Dave Hart
On Sat, Jun 30, 2012 at 13:16 UTC, Stefano Lattarini wrote: > Hi Dave, thanks for the feedback. > > On 06/30/2012 12:54 PM, Dave Hart wrote: >> On Sat, Jun 30, 2012 at 08:56 UTC, Stefano Lattarini wrote: >>> And here is the documentation, basically adapted from the commit m

Re: [RFC] recursion: support user-defined recursive targets

2012-06-30 Thread Dave Hart
it, particularly in light of "Recursive Make Considered Harmful", which might have caused a lesser man to believe this patch is counterproductive by catering to sadly outdated troglodytes. Cheers, Dave Hart

Re: [FYI] configure: the testsuite shell must support 'test -e' and 'test ! -e'

2012-06-28 Thread Dave Hart
On Thu, Jun 28, 2012 at 20:49 UTC, Stefano Lattarini wrote: > * configure.ac: Require that the shell that is to be selected to run > the testsuite understands "set -e" and "set ! -e". You mean test, not set. > Signed-off-by: Stefano Lattarini > --- >  configure.ac |    5 + >  1 file changed,

Re: [PATCH] tests: avoid one last `...` command substitution in 'test-init.sh'

2012-06-23 Thread Dave Hart
On Fri, Jun 22, 2012 at 10:13 PM, Stefano Lattarini wrote: > * t/ax/test-init.sh (me): In the definition of this variable.  This > also shave off a couple of forks, and the need for a sanity check s/shave/shaves/ s/and the/and removes the/ Otherwise, it looks good. Cheers, Dave Hart

Re: [FYI] {maint} tests: drop support for older Zsh shells

2012-06-23 Thread Dave Hart
t's version < 4.3. > +  should run with any decent Bourne-compatible shell.  However, it is > +  worth nothing that older version of Zsh (pre-4.3) suffered of s/version/versions/ s/suffered of/exhibited/ > +  several bugs and incompatibilities with our usages, and are thus s/usages/uses/ > +  not supported.  Don't use the to run our tests! not supported for running Automake's test scripts. > > >  Reporting failures > -- > 1.7.9.5 > > Which released version numbers of Automake had the just-fixed Zsh compatibility bug? I am trying to get a feel for how many people might have been exposed to justify the sentiment that support for older versions of Zsh is unwarranted. Automake improvements can take some time to reach end users, as many maintainers of packages using it do not aggressively upgrade the latest release of Automake, but rather stick with whatever version they're using until a compelling improvement prompts an upgrade. Cheers, Dave Hart

Re: [PATCH] {master} missing: better tips about missing tools

2012-06-23 Thread Dave Hart
*) > -    echo 1>&2 "\ > -WARNING: '$1' is needed, and is $msg. > -         You might have modified some files without having the > -         proper tools for further handling them.  Check the 'README' file, > -         it often tells you about the needed prerequisites for installing > -         this package.  You may also peek at any GNU archive site, in case > -         some other package would contain this missing '$1' program." > -    ;; > - > -esac > +    makeinfo*) > +      echo "You should only need it if you modified a '.texi' file, or" > +      echo "any other file indirectly affecting the aspect of the manual." > +      echo "You might want to install the Texinfo package:" > +      echo "<$gnu_software_URL/texinfo/>" > +      echo "The spurious makeinfo call might also be the consequence of" > +      echo "using a buggy 'make' (AIX, DU, IRIX), in which case you might" > +      echo "want to install GNU make:" > +      echo "<$gnu_software_URL/make/>" > +      ;; > +    *) > +      echo "You might have modified some files without having the proper" > +      echo "tools for further handling them.  Check the 'README' file, it" > +      echo "often tells you about the needed prerequisites for installing" > +      echo "this package.  You may also peek at any GNU archive site, in" > +      echo "case some other package contains this missing '$1' program." > +      ;; > +  esac > +} > + > +give_advice "$1" | sed -e '1s/^/WARNING: /' \ > +                       -e '2,$s/^/         /' >&2 > >  # Propagate the correct exit status (expected to be 127 for a program >  # not found, 63 for a program that failed due to version mismatch). > -- > 1.7.9.5 > > Looks like a nice improvement, thanks. Cheers, Dave Hart

Re: [PATCH] {master} missing: do not touch timestamps; only warn for out-of-date files

2012-06-21 Thread Dave Hart
On Thu, Jun 21, 2012 at 9:54 AM, Stefano Lattarini wrote: > On 06/21/2012 12:33 AM, Dave Hart wrote: >> >> While I agree fix-timestamps.sh might be a clearer name, using the >> name bootstrap for the clone-from-VCS before-first-configure step. >> NTP tarballs carry a &q

Re: [PATCH] {master} missing: do not touch timestamps; only warn for out-of-date files

2012-06-20 Thread Dave Hart
On Wed, Jun 20, 2012 at 10:33 PM, Dave Hart wrote: > > I had no idea missing would monkey with timestamps like that.  I'm > wholeheartedly in favor of removing that capability in the name of > predictably correct results. > > While I agree fix-timestamps.sh might be a

Re: [PATCH] {master} missing: do not touch timestamps; only warn for out-of-date files

2012-06-20 Thread Dave Hart
ame, using the name bootstrap for the clone-from-VCS before-first-configure step. NTP tarballs carry a "bootstrap" script, though it is not needed nor recommended when building from a tarball without changing sources. Naming it fix-timestamps.sh would be misleading, as it also invokes {$AUTORECONF-autoreconf} -v -i. I suspect that nomenclature of bootstrap being the step after clone and before autotools or make. The other naming I've seen for such scripts is even less appealing, autoconf.sh. Cheers, Dave Hart

Re: [FYI] {maint} docs: it's not true that DISTCHECK_CONFIGURE_FLAGS is maintainer-reserved

2012-06-16 Thread Dave Hart
On Sat, Jun 16, 2012 at 7:17 AM, Stefano Lattarini wrote: > At least, not anymore since commit 'v1.11-372-g9760039' of 2001-06-10, > "distcheck: add support for AM_DISTCHECK_CONFIGURE_FLAGS".  See also > automake bug#8784. That was in 2011, not a decade earlier. Cheers, Dave Hart

Re: [FYI] {maint} tests: minor tweak to 't/objc-megademo.sh'

2012-06-09 Thread Dave Hart
On Sat, Jun 9, 2012 at 12:08 PM, Stefano Lattarini wrote: > * t/objc-megademo.sh (am_create_testdir): Define to "yes" before s/yes/empty/ > including ./defs, because this test doesn't rely on the files usually > pre-set by the setup in there. > > +am_create_testdir=empty Cheers, Dave Hart

Re: [FYI] {maint} self tests: cater for /bin/ksh symlinked to Zsh

2012-05-16 Thread Dave Hart
# be found on some Debian systems, where /bin/ksh can be symlinked to > +  # /bin/zsh4).  This is required because our testsuite does not support > +  # older versions of Zsh if not imperfectly, and that has caused Likewise. > +  # spurious failures in the past. > +  $non_bash_shell -c 'test -n "$ZSH_VERSION$BASH_VERSION"' && continue >   break >  done > > -- > 1.7.9.5 > > Cheers, Dave Hart

Re: [FYI] {maint} news: Automake 1.13 will require Autoconf >= 2.65

2012-04-30 Thread Dave Hart
now, Automake has required Autoconf 2.62 or later." Cheers, Dave Hart

Re: bug#11306: Automake 1.11d on MacOS X

2012-04-23 Thread Dave Hart
Stefano, In the proposed patch, the word "foo" is used where "force' was apparently intended. Without unwarranted aggressivity, Dave Hart

Re: [FYI] {maint} tests: drop unnecessary requirement in 'subpkg.test'

2011-12-27 Thread Dave Hart
.test > @@ -16,7 +16,7 @@ > >  # Check subpackage handling. > > -required='gcc bison' > +required=gcc >  . ./defs || Exit 1 > >  set -e > -- > 1.7.7.3 > > Cheers, Dave Hart

Re: [FYI] {master} cosmetics: be more consistent in copyright notices in tests

2011-12-27 Thread Dave Hart
I haven't enumerated because I assume automation is being used to generate these patches and will be used to correct this issue. Cheers, Dave Hart

{Automake-NG} mailing lists are cheap

2011-12-15 Thread Dave Hart
Please consider creating mailing lists for Automake-NG work. It is different enough from Automake to warrant another list, particularly for those of us interested solely in Automake developments. Thanks, Dave Hart

Re: Fix typos in Rule.pm comments.

2011-01-09 Thread Dave Hart
pm [...] > -The I function.  Clears all know rules and reset some > +The I function.  Clears all know rules and resets some all known rules Who can resist correcting Ralf's English? ;) Not Dave Hart

Re: Testsuite failures on Solaris 2.10 on SPARC

2010-11-16 Thread Dave Hart
On Tue, Nov 16, 2010 at 21:28 UTC, Ralf Wildenhues wrote: > Hi Dave, > > * Dave Hart wrote on Tue, Nov 16, 2010 at 10:22:32PM CET: >> The Sun NFS client intentionally defers deleting files, renaming them >> to .nfs for some period of time that is not brief enough for &

Re: Testsuite failures on Solaris 2.10 on SPARC (was: testsuite results from master)

2010-11-16 Thread Dave Hart
ally defers deleting files, renaming them to .nfs for some period of time that is not brief enough for "make distcheck" to succeed. If you delete a .nfs1234, don't be suprised to see it silently renamed to .nfs5678 :) It would be lovely from my perspective if Automake-generated distcheck would ignore .nfs specifically and trust they will indeed be rm'd eventually. Cheers, Dave Hart

Re: [PATCH] Work around a bug in Solaris make's file-inclusion mechanism.

2010-07-15 Thread Dave Hart
two refer to different namespaces, with //a/path/to/file being a reference to file "file" in directory "to" on share "path" of fileserver "a". That is, just like \\a\path\to\file would be interpreted by Windows' networking. Cheers, Dave Hart